/*****************************************************************************
    Ethernet packet sniffer - GreedyDog2

    Developed by Shadow Penguin Security Resarch Group
     http://www.shadowpenguin.org
     UNYUN <unyun@shadowpenguin.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.


 *****************************************************************************/

#ifndef __DEPEND_H__
#define __DEPEND_H__

#include <time.h>
#include <ctype.h>
#include <unistd.h>
#include <sys/wait.h>
#include <sys/time.h>
#include <sys/file.h>
#include <sys/stropts.h>
#include <sys/signal.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/ioctl.h>
#include <sys/stream.h>
#include <netdb.h>
#include <net/if.h>
#include <net/raw.h>
#include <netinet/in.h>
#include <netinet/in_systm.h>
#include <netinet/if_ether.h>
#include <netinet/ip.h>
#include <netinet/tcp.h>
#include <arpa/inet.h>

#define ETHERHDRPAD RAW_HDRPAD(sizeof(struct ether_header))

struct etherpacket {
	struct snoopheader  snoop;
	char                pad[ETHERHDRPAD];
	struct ether_header ether;
	char                data[ETHERMTU];
};

#define	SOCKET          int
#define SIZE_OF_ETHHDR  14
#define	MAX_PATH        256
#define DIRSEPCHR       "/"
#define DFL_NIT_DEV     ""
#define NICDEVDIR       ""
#define DFL_NIC_NAME    "ec0"
#define CHUNKSIZE       8192

#endif
