/*****************************************************************************
    Ethernet packet sniffer - GreedyDog2

    Developed by Shadow Penguin Security Resarch Group
     http://www.shadowpenguin.org
     UNYUN <unyun@shadowpenguin.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

 *****************************************************************************/

#ifndef __GUI_WIN32_MSGHDLR_MAIN_H__
#define __GUI_WIN32_MSGHDLR_MAIN_H__

enum{
    LED1,
    LED2
};
enum{
    LED_OFF,
    LED_ON,
    LED_QUERY,
    LED_CLEAR,
    LED_INIT,
    LED_TERM
};
#define LED1_TIMERID        2
#define LED2_TIMERID        3
#define LEDTIMER_INF        -1

#define MH_RESULT int

#define MH_SUCCESS          0
#define MH_RECVERR          -1
#define MH_ANALYSISERR      -2
#define MH_INITERR          -3

extern MH_RESULT Win32MsgHdlr_InitDialog(GDDCONFIG *gddc,WPARAM wParam,LPARAM lParam);
extern MH_RESULT Win32MsgHdlr_AsyncSelect(GDDCONFIG *gddc,WPARAM wParam,LPARAM lParam);
extern MH_RESULT Win32MsgHdlr_Timer(GDDCONFIG *gddc,WPARAM wParam,LPARAM lParam);
extern MH_RESULT Win32MsgHdlr_CmdGo(GDDCONFIG *gddc,WPARAM wParam,LPARAM lParam);
extern MH_RESULT Win32MsgHdlr_CmdStop(GDDCONFIG *gddc,WPARAM wParam,LPARAM lParam);
extern MH_RESULT Win32MsgHdlr_CmdCfg(GDDCONFIG *gddc,WPARAM wParam,LPARAM lParam);
extern MH_RESULT Win32MsgHdlr_CmdHoldTmpLog(GDDCONFIG *gddc,WPARAM wParam,LPARAM lParam);
extern int  Win32MsgSubfunc_LED(GDDCONFIG *gddc,int num,int ledsw,int timeout);
extern int  Win32MsgSubfunc_SetParamsToMainDlg(GDDCONFIG *gddc);
extern int  Win32MsgSubfunc_GetParamsFromMainDlg(GDDCONFIG *gddc,int flag);
extern int  Win32MsgSubfunc_SaveCFG(GDDCONFIG *gddc);
extern int  Win32MsgSubfunc_SelectList(GDDCONFIG *gddc,int nItem);
extern int  Win32MsgSubfunc_AddList(GDDCONFIG *,char *,char *,int,char *,int,int);

#endif
